GenericResourcePlugin.Field (Resource Management Library 2.5.0-SNAPSHOT API)
Date: 2015-11-20

org.gcube.resourcemanagement.support.shared.plugins

## Class GenericResourcePlugin.Field

- java.lang.Object
- - org.gcube.resourcemanagement.support.shared.plugins.GenericResourcePlugin.Field

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.IsSerializable, Serializable
  Enclosing class:
    GenericResourcePlugin

      public static class GenericResourcePlugin.Field
      extends Object
      implements Serializable, com.google.gwt.user.client.rpc.IsSerializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericResourcePlugin.Field()` Deprecated. for serialization only
    `GenericResourcePlugin.Field(String name, GenericResourcePlugin.FieldType type)`
    `GenericResourcePlugin.Field(String name, GenericResourcePlugin.FieldType type, boolean required)`
    `GenericResourcePlugin.Field(String name, String label, GenericResourcePlugin.FieldType type, boolean required)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultValue()`
    `String` | `getLabel()`
    `String` | `getName()` Corresponds to the tag name in the body
    `GenericResourcePlugin.FieldType` | `getType()`
    `boolean` | `isRequired()`
    `void` | `setDefaultValue(String defaultValue)`
    `void` | `setIsRequired(boolean required)`
    `void` | `setLabel(String label)`
    `void` | `setType(GenericResourcePlugin.FieldType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericResourcePlugin.Field

          public GenericResourcePlugin.Field()

      Deprecated. for serialization only

    - #### GenericResourcePlugin.Field

          public GenericResourcePlugin.Field(String name,
                                     GenericResourcePlugin.FieldType type)

    - #### GenericResourcePlugin.Field

          public GenericResourcePlugin.Field(String name,
                                     GenericResourcePlugin.FieldType type,
                                     boolean required)

    - #### GenericResourcePlugin.Field

          public GenericResourcePlugin.Field(String name,
                                     String label,
                                     GenericResourcePlugin.FieldType type,
                                     boolean required)

  - ### Method Detail

    - #### getDefaultValue

          public final String getDefaultValue()

    - #### setDefaultValue

          public final void setDefaultValue(String defaultValue)

    - #### setLabel

          public final void setLabel(String label)

    - #### getLabel

          public final String getLabel()

    - #### getName

          public final String getName()

      Corresponds to the tag name in the body
      Returns:

    - #### getType

          public final GenericResourcePlugin.FieldType getType()

    - #### setType

          public final void setType(GenericResourcePlugin.FieldType type)

    - #### isRequired

          public final boolean isRequired()

    - #### setIsRequired

          public final void setIsRequired(boolean required)

Copyright © 2015. All Rights Reserved.